> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Anfrage zum Erstellen eines Exports der Transaction-Schritte



## OpenAPI

````yaml /de/openapi-reporting.json post /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.3.2'
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - description: Produktionsumgebung USA
    url: https://vantage-us.abbyy.com
  - description: Produktionsumgebung Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktionsumgebung Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    post:
      tags:
        - Report
      summary: Anfrage zum Erstellen eines Exports der Transaction-Schritte
      operationId: CreateTransactionStepsExportRequest
      requestBody:
        content:
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
          description: OK
components:
  schemas:
    CreateTransactionStepsCsvRequest:
      additionalProperties: false
      properties:
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: Filter für Transaction-Schritte
          nullable: true
        sendEmailNotification:
          description: >-
            Ermöglicht das Senden einer Benachrichtigung nach Abschluss der
            Anfrageverarbeitung
          type: boolean
      type: object
    CreateReportRequestResponse:
      additionalProperties: false
      properties:
        requestId:
          format: uuid
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: >-
            Spätestes Abschlussdatum für den Schritt (aktuelle UTC-Zeit, wenn
            leer)
          format: date-time
          type: string
        skillId:
          description: >-
            Nach Transaction-Skill-ID filtern. {NULL}, wenn kein Filter nach
            Skill-ID angewendet werden soll
          nullable: true
          type: string
        startDate:
          default: '2025-12-17T15:36:38.524Z'
          description: Frühestes Abschlussdatum eines Vorgangsschritts
          format: date-time
          type: string
        transactionId:
          description: >-
            Nach Vorgangs-ID filtern. {NULL}, wenn der ID-Filter nicht
            angewendet werden soll
          nullable: true
          type: string
      required:
        - startDate
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````